## manaplus 1.4.1.18

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
CMAKE_POLICY(VERSION 2.6)

PROJECT(MANAPLUS)

IF (NOT VERSION)
    SET(VERSION 1.0.0)
ENDIF()

STRING(REPLACE "." " " _VERSION ${VERSION})
SEPARATE_ARGUMENTS(_VERSION)
LIST(LENGTH _VERSION _LEN)
IF(NOT _LEN EQUAL 4 AND NOT _LEN EQUAL 3)
    MESSAGE(FATAL_ERROR "Version needs to be in the form MAJOR.MINOR.RELEASE[.BUILD]")
ENDIF()

LIST(GET _VERSION 0 VER_MAJOR)
LIST(GET _VERSION 1 VER_MINOR)
LIST(GET _VERSION 2 VER_RELEASE)
IF(_LEN EQUAL 4)
    LIST(GET _VERSION 3 VER_BUILD)
ELSE()
    SET(VER_BUILD 0)
ENDIF()

# where to look for cmake modules
SET(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/CMake/Modules)

FIND_PACKAGE(Gettext)

OPTION(WITH_OPENGL "Enable OpenGL support" ON)
OPTION(ENABLE_NLS "Enable building of tranlations" ON)
OPTION(ENABLE_EATHENA "Enable eAthena support" ON)

IF (WIN32)
    SET(PKG_DATADIR ".")
    SET(PKG_BINDIR ".")
    SET(LOCALEDIR ".")
    CONFIGURE_FILE(src/winver.h.in src/winver.h)
ELSE (WIN32)
    IF (NOT OSX AND NOT BEOS)
        OPTION(USE_X11 "Use X11 Clipboard functionality" ON)
    ENDIF ()
    SET(PKG_DATADIR ${CMAKE_INSTALL_PREFIX}/share/manaplus)
    SET(LOCALEDIR ${CMAKE_INSTALL_PREFIX}/share/locale)
    SET(PKG_BINDIR ${CMAKE_INSTALL_PREFIX}/bin)
ENDIF (WIN32)

ADD_SUBDIRECTORY(data)
ADD_SUBDIRECTORY(src)

IF (GETTEXT_FOUND AND ENABLE_NLS)
    ADD_SUBDIRECTORY(po)
ENDIF()

If(UNIX)
    INSTALL(FILES manaplus.desktop DESTINATION share/applications)
    INSTALL(FILES manaplustest.desktop DESTINATION share/applications)
ENDIF()

SET(CPACK_PACKAGE_NAME "manaplus")
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "ManaPlus")
SET(CPACK_PACKAGE_VENDOR "ManaPlus Development Team")
SET(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
SET(CPACK_PACKAGE_INSTALL_DIRECTORY "ManaPlus")
SET(CPACK_PACKAGE_VERSION_MAJOR ${VER_MAJOR})
SET(CPACK_PACKAGE_VERSION_MINOR ${VER_MINOR})
SET(CPACK_PACKAGE_VERSION_PATCH ${VER_RELEASE})
IF(WIN32)
    SET(CPACK_NSIS_DISPLAY_NAME "ManaPlus")
    SET(CPACK_NSIS_MUI_ICON "${CMAKE_CURRENT_SOURCE_DIR}/data/icons/manaplus.ico")
    SET(CPACK_PACKAGE_ICON "${CMAKE_CURRENT_SOURCE_DIR}/packaging/windows/setup_welcome.bmp")
    SET(CPACK_NSIS_URL_INFO_ABOUT "http://www.manasource.org")
ENDIF()
INCLUDE(CPack)

=== data/CMakeLists.txt ===
SET(DATA_DIR ${PKG_DATADIR}/data)

ADD_SUBDIRECTORY(fonts)
ADD_SUBDIRECTORY(graphics)
ADD_SUBDIRECTORY(help)
ADD_SUBDIRECTORY(icons)
ADD_SUBDIRECTORY(perserver)
ADD_SUBDIRECTORY(sfx)
ADD_SUBDIRECTORY(themes)
ADD_SUBDIRECTORY(translations)

=== src/CMakeLists.txt ===
FIND_PACKAGE(SDL REQUIRED)
FIND_PACKAGE(SDL_image REQUIRED)
FIND_PACKAGE(SDL_mixer REQUIRED)
FIND_PACKAGE(SDL_net REQUIRED)
FIND_PACKAGE(SDL_ttf REQUIRED)
FIND_PACKAGE(SDL_gfx REQUIRED)
FIND_PACKAGE(CURL REQUIRED)
FIND_PACKAGE(LibXml2 REQUIRED)
FIND_PACKAGE(PhysFS REQUIRED)
FIND_PACKAGE(PNG REQUIRED)
FIND_PACKAGE(Gettext REQUIRED)

IF (POLICY CMP0015)
  CMAKE_POLICY(SET CMP0015 OLD)
ENDIF()

SET(FLAGS "-DPACKAGE_VERSION=\\\"${VERSION}\\\"")
SET(FLAGS "${FLAGS} -DPKG_DATADIR=\\\"${PKG_DATADIR}/\\\"")
SET(FLAGS "${FLAGS} -DLOCALEDIR=\\\"${LOCALEDIR}/\\\"")

IF (ENABLE_NLS)
    SET(FLAGS "${FLAGS} -DENABLE_NLS=1")
ENDIF()

IF (ENABLE_EATHENA)
    SET(FLAGS "${FLAGS} -DEATHENA_SUPPORT=1")
ENDIF()

IF (CMAKE_BUILD_TYPE)
    STRING(TOLOWER ${CMAKE_BUILD_TYPE} CMAKE_BUILD_TYPE_TOLOWER)
    IF(CMAKE_BUILD_TYPE_TOLOWER MATCHES debug OR
       CMAKE_BUILD_TYPE_TOLOWER MATCHES relwithdebinfo)
        SET(FLAGS "${FLAGS} -DDEBUG")
    ENDIF()
ENDIF()

IF (WIN32)
    SET(EXTRA_LIBRARIES ws2_32 winmm)
    FIND_PACKAGE(LibIntl REQUIRED)
ELSEIF (CMAKE_SYSTEM_NAME STREQUAL "Darwin" OR BEOS)
    FIND_PACKAGE(LibIntl REQUIRED)
ELSEIF (CMAKE_SYSTEM_NAME STREQUAL SunOS)
    # explicit linking to libintl is required on Solaris
    SET(EXTRA_LIBRARIES intl)
ELSEIF (CMAKE_SYSTEM_NAME STREQUAL Linux)
    #some distros need this explicitly linked
    SET(EXTRA_LIBRARIES rt)
ENDIF()

SET(FLAGS "${FLAGS} -DUSE_MUMBLE")

IF (WITH_OPENGL)
    FIND_PACKAGE(OpenGL REQUIRED)
    INCLUDE_DIRECTORIES(${OPENGL_INCLUDE_DIR})
    SET(FLAGS "${FLAGS} -DUSE_OPENGL")
ENDIF (WITH_OPENGL)

IF (USE_X11)
    FIND_PACKAGE(X11 REQUIRED)
    INCLUDE_DIRECTORIES(${X11_INCLUDE_DIR})
    SET(FLAGS "${FLAGS} -DUSE_X11")
ENDIF (USE_X11)

INCLUDE_DIRECTORIES(
    "guichan/include"
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${SDL_INCLUDE_DIR}
    ${SDLIMAGE_INCLUDE_DIR}
    ${SDLMIXER_INCLUDE_DIR}
    ${SDLNET_INCLUDE_DIR}
    ${SDLTTF_INCLUDE_DIR}
    ${SDLGFX_INCLUDE_DIR}
    ${PNG_INCLUDE_DIR}
    ${PHYSFS_INCLUDE_DIR}
    ${CURL_INCLUDE_DIR}
    ${LIBXML2_INCLUDE_DIR}
    )

# enable rc-handling with mingw
# most likely this part can be kicked out with some later cmake version
IF (MINGW)
    FIND_PATH(MINGW_INCLUDE_DIR windows.h $ENV{INCLUDE})
    IF (MINGW_INCLUDE_DIR)
        MESSAGE(STATUS "Found mingw headers: ${MINGW_INCLUDE_DIR}")
        INCLUDE_DIRECTORIES(${MINGW_INCLUDE_DIR})
    ELSE()
        MESSAGE(FATAL_ERROR "Unable to find mingw headers. Required for windres")
    ENDIF()
    SET(CMAKE_RC_COMPILER_INIT windres)
    ENABLE_LANGUAGE(RC)
    SET(CMAKE_RC_COMPILE_OBJECT
      "<CMAKE_RC_COMPILER> <FLAGS> <DEFINES> -O coff -o <OBJECT> <SOURCE>")
ENDIF()

# Fix some stuff that gets not hidden by mainline modules
MARK_AS_ADVANCED(PHYSFS_INCLUDE_DIR)
MARK_AS_ADVANCED(PHYSFS_LIBRARY)
MARK_AS_ADVANCED(SDLIMAGE_INCLUDE_DIR)
MARK_AS_ADVANCED(SDLIMAGE_LIBRARY)
MARK_AS_ADVANCED(SDLMAIN_LIBRARY)
MARK_AS_ADVANCED(SDLMIXER_INCLUDE_DIR)
MARK_AS_ADVANCED(SDLMIXER_LIBRARY)
MARK_AS_ADVANCED(SDLNET_INCLUDE_DIR)
MARK_AS_ADVANCED(SDLNET_LIBRARY)
MARK_AS_ADVANCED(SDL_INCLUDE_DIR)
MARK_AS_ADVANCED(SDL_LIBRARY)

SET(SRCS
    gui/widgets/avatarlistbox.cpp
    gui/widgets/avatarlistbox.h
    gui/widgets/tabs/battletab.cpp
    gui/widgets/tabs/battletab.h
    gui/widgets/browserbox.cpp
    gui/widgets/browserbox.h
    gui/widgets/button.cpp
    gui/widgets/button.h
    gui/widgets/characterdisplay.cpp
    gui/widgets/characterdisplay.h
    gui/widgets/characterviewbase.h
    gui/widgets/characterviewnormal.cpp
    gui/widgets/characterviewnormal.h
    gui/widgets/characterviewsmall.cpp
    gui/widgets/characterviewsmall.h
    gui/widgets/tabs/chattab.cpp
    gui/widgets/tabs/chattab.h
    gui/widgets/checkbox.cpp
    gui/widgets/checkbox.h
    gui/widgets/colormodel.cpp
    gui/widgets/colormodel.h
    gui/widgets/colorpage.cpp
    gui/widgets/colorpage.h
    gui/widgets/container.cpp
    gui/widgets/container.h
    gui/widgets/desktop.cpp
    gui/widgets/desktop.h
    gui/widgets/dropdown.cpp
    gui/widgets/dropdown.h
    gui/widgets/emoteshortcutcontainer.cpp
    gui/widgets/emoteshortcutcontainer.h
    gui/widgets/extendedlistbox.cpp
    gui/widgets/extendedlistbox.h
    gui/widgets/extendedlistmodel.h
    gui/widgets/extendednamesmodel.cpp
    gui/widgets/extendednamesmodel.h
    gui/widgets/flowcontainer.cpp
    gui/widgets/flowcontainer.h
    gui/widgets/tabs/gmtab.cpp
    gui/widgets/tabs/gmtab.h
    gui/widgets/tabs/guildchattab.cpp
    gui/widgets/tabs/guildchattab.h
    gui/widgets/horizontcontainer.cpp
    gui/widgets/horizontcontainer.h
    gui/widgets/icon.cpp
    gui/widgets/icon.h
    gui/widgets/inttextfield.cpp
    gui/widgets/inttextfield.h
    gui/widgets/itemcontainer.cpp
    gui/widgets/itemcontainer.h
    gui/widgets/itemlinkhandler.cpp
    gui/widgets/itemlinkhandler.h
    gui/widgets/dropshortcutcontainer.cpp
    gui/widgets/dropshortcutcontainer.h
    gui/widgets/emotepage.cpp
    gui/widgets/emotepage.h
    gui/widgets/itemshortcutcontainer.cpp
    gui/widgets/itemshortcutcontainer.h
    gui/widgets/spellshortcutcontainer.cpp
    gui/widgets/spellshortcutcontainer.h
    gui/widgets/label.cpp
    gui/widgets/label.h
    gui/widgets/tabs/langtab.cpp
    gui/widgets/tabs/langtab.h
    gui/widgets/layout.cpp
    gui/widgets/layout.h
    gui/widgets/layouthelper.cpp
    gui/widgets/layouthelper.h
    gui/widgets/linkhandler.h
    gui/widgets/listbox.cpp
    gui/widgets/listbox.h
    gui/widgets/mouseevent.h
    gui/widgets/namesmodel.cpp
    gui/widgets/namesmodel.h
    gui/widgets/passwordfield.cpp
    gui/widgets/passwordfield.h
    gui/widgets/playerbox.cpp
    gui/widgets/playerbox.h
    gui/widgets/popup.cpp
    gui/widgets/popup.h
    gui/widgets/popuplist.cpp
    gui/widgets/popuplist.h
    gui/widgets/progressbar.cpp
    gui/widgets/progressbar.h
    gui/widgets/progressindicator.cpp
    gui/widgets/progressindicator.h
    gui/widgets/radiobutton.cpp
    gui/widgets/radiobutton.h
    gui/widgets/radiogroup.cpp
    gui/widgets/radiogroup.h
    gui/widgets/scrollarea.cpp
    gui/widgets/scrollarea.h
    gui/widgets/setupitem.cpp
    gui/widgets/setupitem.h
    gui/widgets/tabs/setuptab.cpp
    gui/widgets/tabs/setuptab.h
    gui/widgets/tabs/setuptabscroll.cpp
    gui/widgets/tabs/setuptabscroll.h
    gui/widgets/setuptouchitem.cpp
    gui/widgets/setuptouchitem.h
    gui/widgets/shopitems.cpp
    gui/widgets/shopitems.h
    gui/widgets/shoplistbox.cpp
    gui/widgets/shoplistbox.h
    gui/widgets/shortcutcontainer.cpp
    gui/widgets/shortcutcontainer.h
    gui/widgets/skilldata.cpp
    gui/widgets/skilldata.h
    gui/widgets/skillinfo.cpp
    gui/widgets/skillinfo.h
    gui/widgets/skillmodel.cpp
    gui/widgets/skillmodel.h
    gui/widgets/slider.cpp
    gui/widgets/slider.h
    gui/widgets/sliderlist.cpp
    gui/widgets/sliderlist.h
    gui/widgets/tabs/tab.cpp
    gui/widgets/tabs/tab.h
    gui/widgets/tabbedarea.cpp
    gui/widgets/tabbedarea.h
    gui/widgets/guitable.cpp
    gui/widgets/guitable.h
    gui/widgets/tablemodel.cpp
    gui/widgets/tablemodel.h
    gui/widgets/tabstrip.cpp
    gui/widgets/tabstrip.h
    gui/widgets/textbox.cpp
    gui/widgets/textbox.h
    gui/widgets/textfield.cpp
    gui/widgets/textfield.h
    gui/widgets/textpreview.cpp
    gui/widgets/textpreview.h
    gui/widgets/tabs/tradetab.cpp
    gui/widgets/tabs/tradetab.h
    gui/widgets/vertcontainer.cpp
    gui/widgets/vertcontainer.h
    gui/widgets/tabs/whispertab.cpp
    gui/widgets/tabs/whispertab.h
    gui/widgets/widget2.h
    gui/widgets/widgetgroup.cpp
    gui/widgets/widgetgroup.h
    gui/widgets/window.cpp
    gui/widgets/window.h
    gui/widgets/windowcontainer.cpp
    gui/widgets/windowcontainer.h
    gui/popups/beingpopup.cpp
    gui/popups/beingpopup.h
    gui/windows/buydialog.cpp
    gui/windows/buydialog.h
    gui/windows/buyselldialog.cpp
    gui/windows/buyselldialog.h
    gui/windows/changeemaildialog.cpp
    gui/windows/changeemaildialog.h
    gui/windows/changepassworddialog.cpp
    gui/windows/changepassworddialog.h
    gui/windows/charselectdialog.cpp
    gui/windows/charselectdialog.h
    gui/windows/charcreatedialog.cpp
    gui/windows/charcreatedialog.h
    gui/windows/chatwindow.cpp
    gui/windows/chatwindow.h
    gui/windows/confirmdialog.cpp
    gui/windows/confirmdialog.h
    gui/windows/connectiondialog.cpp
    gui/windows/connectiondialog.h
    gui/windows/debugwindow.cpp
    gui/windows/debugwindow.h
    gui/windows/didyouknowwindow.cpp
    gui/windows/didyouknowwindow.h
    gui/windows/editdialog.cpp
    gui/windows/editdialog.h
    gui/windows/editserverdialog.cpp
    gui/windows/editserverdialog.h
    gui/windows/emotewindow.cpp
    gui/windows/emotewindow.h
    gui/windows/equipmentwindow.cpp
    gui/windows/equipmentwindow.h
    gui/focushandler.cpp
    gui/focushandler.h
    gui/gui.cpp
    gui/gui.h
    gui/windows/helpwindow.cpp
    gui/windows/helpwindow.h
    gui/windows/inventorywindow.cpp
    gui/windows/inventorywindow.h
    gui/windows/itemamountwindow.cpp
    gui/windows/itemamountwindow.h
    gui/popups/itempopup.cpp
    gui/popups/itempopup.h
    gui/popups/spellpopup.cpp
    gui/popups/spellpopup.h
    gui/popups/statuspopup.cpp
    gui/popups/statuspopup.h
    gui/windows/killstats.cpp
    gui/windows/killstats.h
    gui/windows/logindialog.cpp
    gui/windows/logindialog.h
    gui/windows/minimap.cpp
    gui/windows/minimap.h
    gui/windows/ministatuswindow.cpp
    gui/windows/ministatuswindow.h
    gui/windows/npcdialog.cpp
    gui/windows/npcdialog.h
    gui/windows/npcpostdialog.cpp
    gui/windows/npcpostdialog.h
    gui/windows/okdialog.cpp
    gui/windows/okdialog.h
    gui/windows/outfitwindow.cpp
    gui/windows/outfitwindow.h
    gui/windows/botcheckerwindow.cpp
    gui/windows/botcheckerwindow.h
    gui/windows/textcommandeditor.cpp
    gui/windows/textcommandeditor.h
    gui/palette.cpp
    gui/palette.h
    gui/popups/popupmenu.cpp
    gui/popups/popupmenu.h
    gui/windows/questswindow.cpp
    gui/windows/questswindow.h
    gui/windows/quitdialog.cpp
    gui/windows/quitdialog.h
    gui/windows/registerdialog.cpp
    gui/windows/registerdialog.h
    gui/sdlinput.cpp
    gui/sdlinput.h
    gui/windows/selldialog.cpp
    gui/windows/selldialog.h
    gui/windows/serverdialog.cpp
    gui/windows/serverdialog.h
    gui/windows/setup.cpp
    gui/windows/setup.h
    gui/widgets/tabs/setup_audio.cpp
    gui/widgets/tabs/setup_audio.h
    gui/widgets/tabs/setup_colors.cpp
    gui/widgets/tabs/setup_colors.h
    gui/widgets/tabs/setup_joystick.cpp
    gui/widgets/tabs/setup_joystick.h
    gui/widgets/tabs/setup_mods.cpp
    gui/widgets/tabs/setup_mods.h
    gui/widgets/tabs/setup_other.cpp
    gui/widgets/tabs/setup_other.h
    gui/widgets/tabs/setup_theme.cpp
    gui/widgets/tabs/setup_theme.h
    gui/widgets/tabs/setup_touch.cpp
    gui/widgets/tabs/setup_touch.h
    gui/widgets/tabs/setup_chat.cpp
    gui/widgets/tabs/setup_chat.h
    gui/widgets/tabs/setup_input.cpp
    gui/widgets/tabs/setup_input.h
    gui/widgets/tabs/setup_perfomance.cpp
    gui/widgets/tabs/setup_perfomance.h
    gui/widgets/tabs/setup_relations.cpp
    gui/widgets/tabs/setup_relations.h
    gui/widgets/tabs/setup_players.cpp
    gui/widgets/tabs/setup_players.h
    gui/widgets/tabs/setup_video.cpp
    gui/widgets/tabs/setup_video.h
    gui/widgets/tabs/setup_visual.cpp
    gui/widgets/tabs/setup_visual.h
    gui/setupactiondata.h
    gui/sdlfont.cpp
    gui/sdlfont.h
    gui/windows/shopwindow.cpp
    gui/windows/shopwindow.h
    gui/windows/shortcutwindow.cpp
    gui/windows/shortcutwindow.h
    gui/windows/skilldialog.cpp
    gui/windows/skilldialog.h
    gui/windows/socialwindow.cpp
    gui/windows/socialwindow.h
    gui/popups/speechbubble.cpp
    gui/popups/speechbubble.h
    gui/windows/statuswindow.cpp
    gui/windows/statuswindow.h
    gui/windows/textdialog.cpp
    gui/windows/textdialog.h
    gui/popups/textpopup.cpp
    gui/popups/textpopup.h
    gui/theme.cpp
    gui/theme.h

=== data/fonts/CMakeLists.txt ===
SET (FILES
    dejavusans.ttf
    dejavusans-bold.ttf
    dejavusansmono.ttf
    dejavusansmono-bold.ttf
    dejavuserifcondensed.ttf
    dejavuserifcondensed-bold.ttf
    liberationsans.ttf
    liberationsans-bold.ttf
    liberationsansmono.ttf
    liberationsansmono-bold.ttf
    mplus-1p-bold.ttf
    mplus-1p-regular.ttf
    wqy-microhei.ttf
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/fonts)

=== data/graphics/CMakeLists.txt ===
ADD_SUBDIRECTORY(flags)
ADD_SUBDIRECTORY(gui)
ADD_SUBDIRECTORY(images)
ADD_SUBDIRECTORY(sprites)

=== data/help/CMakeLists.txt ===
SET(FILES
    about.txt
    chatcommands.txt
    commands.txt
    download.txt
    footer.txt
    header.txt
    index.txt
    otherteam.txt
    searchmany.txt
    searchnotfound.txt
    skills.txt
    support.txt
    tags.idx
    team.txt
    windows.txt
    )

ADD_SUBDIRECTORY(tips)

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/help)

=== data/icons/CMakeLists.txt ===
SET(FILES
    manaplus.png
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/icons)

INSTALL(FILES "manaplus.png" DESTINATION share/pixmaps)

=== data/perserver/CMakeLists.txt ===
ADD_SUBDIRECTORY(default)

=== data/sfx/CMakeLists.txt ===
ADD_SUBDIRECTORY(system)

=== data/themes/CMakeLists.txt ===
ADD_SUBDIRECTORY(blacknblack)
ADD_SUBDIRECTORY(blackwood)
ADD_SUBDIRECTORY(classic)
ADD_SUBDIRECTORY(enchilado)
ADD_SUBDIRECTORY(golden-delicious)
ADD_SUBDIRECTORY(jewelry)
ADD_SUBDIRECTORY(mana)
ADD_SUBDIRECTORY(pink)
ADD_SUBDIRECTORY(unity)
ADD_SUBDIRECTORY(wood)

=== data/translations/CMakeLists.txt ===
ADD_SUBDIRECTORY(help)

=== data/graphics/flags/CMakeLists.txt ===
SET(FILES
    cn.png
    cz.png
    de.png
    en.png
    es.png
    fi.png
    fr.png
    id.png
    it.png
    jp.png
    nl_BE.png
    pl.png
    pt_BR.png
    pt.png
    ru.png
    tr.png
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/graphics/flags)

=== debian/changelog ===
manaplus (1.4.1.18-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 20 Jan 2014 10:44:16 +0100

manaplus (1.4.1.4-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 10 Jan 2014 11:00:12 +0100

manaplus (1.3.12.22-1) unstable; urgency=low

  [ Andrei Karas ]
  * Update copyright file.

  [ Patrick Matthäi ]
  * New upstream release.
  * Remove another extra license file.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 03 Jan 2014 11:32:13 +0100

=== debian/control ===
Source: manaplus
Section: games
Priority: optional
Homepage: http://manaplus.org/
Maintainer: Andrei Karas <akaras@inbox.ru>
Uploaders: Patrick Matthäi <pmatthaei@debian.org>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9),
 hardening-wrapper,
 libcurl4-gnutls-dev,
 libgl1-mesa-dev,
 libguichan-dev,
 libsdl1.2-dev,
 libsdl-image1.2-dev,
 libsdl-net1.2-dev,
 libsdl-mixer1.2-dev,
 libphysfs-dev,
 libpng12-dev,
 libxml2-dev,
 zlib1g-dev,
 libsdl-ttf2.0-dev,
 libsdl-gfx1.2-dev,
 dh-autoreconf,
 autopoint

Package: manaplus
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 manaplus-data (= ${source:Version}),
 xsel,
 x11-utils,
 xdg-utils
Suggests: mumble
Description: Extended client for Evol Online and The Mana World
 ManaPlus is an extended client for Evol Online, The Mana World, and similar
 servers based on a fork of eAthena. Evol Online is a 2D fantasy-style game
 which aims to create a friendly environment for interacting with others where
 people can escape reality and enjoy themselves. The Mana World (TMW) is a
 serious effort to create an innovative free and open source MMORPG.
 TMW uses 2D graphics and aims to create a large and diverse interactive world.

Package: manaplus-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends},
 manaplus (= ${binary:Version})
Description: Extended client for Evol Online and The Mana World (debugging symbols)
 ManaPlus is an extended client for Evol Online, The Mana World, and similar
 servers based on a fork of eAthena. Evol Online is a 2D fantasy-style game
 which aims to create a friendly environment for interacting with others where
 people can escape reality and enjoy themselves. The Mana World (TMW) is a
 serious effort to create an innovative free and open source MMORPG.
 TMW uses 2D graphics and aims to create a large and diverse interactive world.
 .
 This package provides debugging symbols for the manaplus package.

Package: manaplus-data
Architecture: all
Depends: ${misc:Depends},
 ttf-dejavu-core,
 fonts-liberation
Recommends: manaplus,
 fonts-mplus
Description: Extended client for Evol Online and The Mana World (data files)
 ManaPlus is an extended client for Evol Online, The Mana World, and similar
 servers based on a fork of eAthena. Evol Online is a 2D fantasy-style game
 which aims to create a friendly environment for interacting with others where
 people can escape reality and enjoy themselves. The Mana World (TMW) is a
 serious effort to create an innovative free and open source MMORPG.
 TMW uses 2D graphics and aims to create a large and diverse interactive world.
 .
 This package contains the data files.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DEB_BUILD_HARDENING=1

DEB_CONFIGURE_EXTRA_FLAGS := \
	--bindir=/usr/games \
	--without-internalguichan

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)

override_dh_strip:
	dh_strip -a --dbg-package=manaplus-dbg

override_dh_install:
	dh_install
	rm -f $(CURDIR)/debian/manaplus-data/usr/share/manaplus/data/themes/jewelry/LICENSE.txt
	rm -f $(CURDIR)/debian/manaplus-data/usr/share/manaplus/data/themes/golden-delicious/LICENSE.txt

%:
	dh $@ --with autoreconf

## manaplus 1.4.8.2

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -62,7 +62,6 @@
 ENDIF (USE_X11)
 
 INCLUDE_DIRECTORIES(
-    "guichan/include"
     ${CMAKE_CURRENT_SOURCE_DIR}
     ${SDL_INCLUDE_DIR}
     ${SDLIMAGE_INCLUDE_DIR}
@@ -108,6 +107,9 @@
 SET(SRCS
     gui/widgets/avatarlistbox.cpp
     gui/widgets/avatarlistbox.h
+    gui/models/avatarlistmodel.h
+    gui/models/beingslistmodel.h
+    gui/models/colorlistmodel.h
     gui/widgets/tabs/battletab.cpp
     gui/widgets/tabs/battletab.h
     gui/widgets/browserbox.cpp
@@ -123,25 +125,40 @@
     gui/widgets/characterviewsmall.h
     gui/widgets/tabs/chattab.cpp
     gui/widgets/tabs/chattab.h
+    gui/widgets/tabs/chattabtype.h
+    gui/widgets/tabs/debugwindowtabs.cpp
+    gui/widgets/tabs/debugwindowtabs.h
+    gui/widgets/chatinput.h
     gui/widgets/checkbox.cpp
     gui/widgets/checkbox.h
-    gui/widgets/colormodel.cpp
-    gui/widgets/colormodel.h
+    gui/models/colormodel.cpp
+    gui/models/colormodel.h
     gui/widgets/colorpage.cpp
     gui/widgets/colorpage.h
     gui/widgets/container.cpp
     gui/widgets/container.h
+    gui/widgets/containerplacer.cpp
+    gui/widgets/containerplacer.h
     gui/widgets/desktop.cpp
     gui/widgets/desktop.h
     gui/widgets/dropdown.cpp
     gui/widgets/dropdown.h
     gui/widgets/emoteshortcutcontainer.cpp
     gui/widgets/emoteshortcutcontainer.h
+    gui/widgets/equipmentbox.h
     gui/widgets/extendedlistbox.cpp
     gui/widgets/extendedlistbox.h
-    gui/widgets/extendedlistmodel.h
-    gui/widgets/extendednamesmodel.cpp
-    gui/widgets/extendednamesmodel.h
+    gui/widgets/extendedlistboxitem.h
+    gui/models/extendedlistmodel.h
+    gui/models/extendednamesmodel.cpp
+    gui/models/extendednamesmodel.h
+    gui/models/fontsizechoicelistmodel.h
+    gui/models/fontsmodel.h
+    gui/models/iconsmodel.h
+    gui/models/ignorechoiceslistmodel.h
+    gui/models/itemsmodel.h
+    gui/models/keylistmodel.h
+    gui/models/langlistmodel.h
     gui/widgets/flowcontainer.cpp
     gui/widgets/flowcontainer.h
     gui/widgets/tabs/gmtab.cpp
@@ -166,20 +183,35 @@
     gui/widgets/itemshortcutcontainer.h
     gui/widgets/spellshortcutcontainer.cpp
     gui/widgets/spellshortcutcontainer.h
+    gui/widgets/statuswindowattrs.h
     gui/widgets/label.cpp
     gui/widgets/label.h
     gui/widgets/tabs/langtab.cpp
     gui/widgets/tabs/langtab.h
     gui/widgets/layout.cpp
     gui/widgets/layout.h
+    gui/widgets/layoutarray.cpp
+    gui/widgets/layoutarray.h
+    gui/widgets/layoutcell.cpp
+    gui/widgets/layoutcell.h
     gui/widgets/layouthelper.cpp
     gui/widgets/layouthelper.h
+    gui/widgets/layouttype.h
+    gui/widgets/linepart.cpp
+    gui/widgets/linepart.h
     gui/widgets/linkhandler.h
     gui/widgets/listbox.cpp
     gui/widgets/listbox.h
-    gui/widgets/mouseevent.h
-    gui/widgets/namesmodel.cpp
-    gui/widgets/namesmodel.h
+    gui/models/modelistmodel.cpp
+    gui/models/modelistmodel.h
+    gui/models/namesmodel.cpp
+    gui/models/namesmodel.h
+    gui/models/opengllistmodel.h
+    gui/models/playerrelationlistmodel.h
+    gui/models/playertablemodel.cpp
+    gui/models/playertablemodel.h
+    gui/models/questsmodel.h
+    gui/models/serverslistmodel.h
     gui/widgets/passwordfield.cpp
     gui/widgets/passwordfield.h
     gui/widgets/playerbox.cpp
@@ -198,6 +230,7 @@
     gui/widgets/radiogroup.h
     gui/widgets/scrollarea.cpp
     gui/widgets/scrollarea.h
+    gui/widgets/serverslistbox.h
     gui/widgets/setupitem.cpp
     gui/widgets/setupitem.h
     gui/widgets/tabs/setuptab.cpp
@@ -206,8 +239,8 @@
     gui/widgets/tabs/setuptabscroll.h
     gui/widgets/setuptouchitem.cpp
     gui/widgets/setuptouchitem.h
-    gui/widgets/shopitems.cpp
-    gui/widgets/shopitems.h
+    gui/models/shopitems.cpp
+    gui/models/shopitems.h
     gui/widgets/shoplistbox.cpp
     gui/widgets/shoplistbox.h
     gui/widgets/shortcutcontainer.cpp
@@ -216,20 +249,46 @@
     gui/widgets/skilldata.h
     gui/widgets/skillinfo.cpp
     gui/widgets/skillinfo.h
-    gui/widgets/skillmodel.cpp
-    gui/widgets/skillmodel.h
+    gui/widgets/skilllistbox.h
+    gui/models/skillmodel.cpp
+    gui/models/skillmodel.h
+    gui/models/sortlistmodelbuy.h
+    gui/models/sortlistmodelinv.h
+    gui/models/soundsmodel.h
     gui/widgets/slider.cpp
     gui/widgets/slider.h
     gui/widgets/sliderlist.cpp
     gui/widgets/sliderlist.h
+    gui/widgets/tabs/shortcuttab.h
+    gui/widgets/tabs/skilltab.h
+    gui/widgets/tabs/socialattacktab.h
+    gui/widgets/tabs/socialfriendsfunctor.h
+    gui/widgets/tabs/socialfriendstab.h
+    gui/widgets/tabs/socialguildtab.h
+    gui/widgets/tabs/socialguildtab2.h
+    gui/widgets/tabs/socialnavigationtab.h
+    gui/widgets/tabs/socialpartytab.h
+    gui/widgets/tabs/socialpickuptab.h
+    gui/widgets/tabs/socialplayerstab.h
+    gui/widgets/tabs/socialtab.h
+    gui/widgets/tabs/socialtabbase.h
     gui/widgets/tabs/tab.cpp
     gui/widgets/tabs/tab.h
     gui/widgets/tabbedarea.cpp
     gui/widgets/tabbedarea.h
     gui/widgets/guitable.cpp
     gui/widgets/guitable.h
-    gui/widgets/tablemodel.cpp
-    gui/widgets/tablemodel.h
+    gui/models/tablemodel.cpp
+    gui/models/tablemodel.h
+    gui/models/targettypemodel.h
+    gui/models/touchactionmodel.cpp
+    gui/models/touchactionmodel.h
+    gui/models/typelistmodel.h
+    gui/models/updatetypemodel.h
+    gui/models/userstablemodel.h
+    gui/models/updatelistmodel.h
+    gui/models/worldlistmodel.h
+    gui/models/themesmodel.h
     gui/widgets/tabstrip.cpp
     gui/widgets/tabstrip.h
     gui/widgets/textbox.cpp
@@ -253,6 +312,7 @@
     gui/widgets/windowcontainer.h
     gui/popups/beingpopup.cpp
     gui/popups/beingpopup.h
+    gui/popups/createpartypopup.h
     gui/windows/buydialog.cpp
     gui/windows/buydialog.h
     gui/windows/buyselldialog.cpp
@@ -265,6 +325,7 @@
     gui/windows/charselectdialog.h
     gui/windows/charcreatedialog.cpp
     gui/windows/charcreatedialog.h
+    gui/windows/chardeleteconfirm.h
     gui/windows/chatwindow.cpp
     gui/windows/chatwindow.h
     gui/windows/confirmdialog.cpp
@@ -319,70 +380,5 @@
     gui/windows/botcheckerwindow.h
     gui/windows/textcommandeditor.cpp
     gui/windows/textcommandeditor.h
+    gui/onlineplayer.h
     gui/palette.cpp
-    gui/palette.h
-    gui/popups/popupmenu.cpp
-    gui/popups/popupmenu.h
-    gui/windows/questswindow.cpp
-    gui/windows/questswindow.h
-    gui/windows/quitdialog.cpp
-    gui/windows/quitdialog.h
-    gui/windows/registerdialog.cpp
-    gui/windows/registerdialog.h
-    gui/sdlinput.cpp
-    gui/sdlinput.h
-    gui/windows/selldialog.cpp
-    gui/windows/selldialog.h
-    gui/windows/serverdialog.cpp
-    gui/windows/serverdialog.h
-    gui/windows/setup.cpp
-    gui/windows/setup.h
-    gui/widgets/tabs/setup_audio.cpp
-    gui/widgets/tabs/setup_audio.h
-    gui/widgets/tabs/setup_colors.cpp
-    gui/widgets/tabs/setup_colors.h
-    gui/widgets/tabs/setup_joystick.cpp
-    gui/widgets/tabs/setup_joystick.h
-    gui/widgets/tabs/setup_mods.cpp
-    gui/widgets/tabs/setup_mods.h
-    gui/widgets/tabs/setup_other.cpp
-    gui/widgets/tabs/setup_other.h
-    gui/widgets/tabs/setup_theme.cpp
-    gui/widgets/tabs/setup_theme.h
-    gui/widgets/tabs/setup_touch.cpp
-    gui/widgets/tabs/setup_touch.h
-    gui/widgets/tabs/setup_chat.cpp
-    gui/widgets/tabs/setup_chat.h
-    gui/widgets/tabs/setup_input.cpp
-    gui/widgets/tabs/setup_input.h
-    gui/widgets/tabs/setup_perfomance.cpp
-    gui/widgets/tabs/setup_perfomance.h
-    gui/widgets/tabs/setup_relations.cpp
-    gui/widgets/tabs/setup_relations.h
-    gui/widgets/tabs/setup_players.cpp
-    gui/widgets/tabs/setup_players.h
-    gui/widgets/tabs/setup_video.cpp
-    gui/widgets/tabs/setup_video.h
-    gui/widgets/tabs/setup_visual.cpp
-    gui/widgets/tabs/setup_visual.h
-    gui/setupactiondata.h
-    gui/sdlfont.cpp
-    gui/sdlfont.h
-    gui/windows/shopwindow.cpp
-    gui/windows/shopwindow.h
-    gui/windows/shortcutwindow.cpp
-    gui/windows/shortcutwindow.h
-    gui/windows/skilldialog.cpp
-    gui/windows/skilldialog.h
-    gui/windows/socialwindow.cpp
-    gui/windows/socialwindow.h
-    gui/popups/speechbubble.cpp
-    gui/popups/speechbubble.h
-    gui/windows/statuswindow.cpp
-    gui/windows/statuswindow.h
-    gui/windows/textdialog.cpp
-    gui/windows/textdialog.h
-    gui/popups/textpopup.cpp
-    gui/popups/textpopup.h
-    gui/theme.cpp
-    gui/theme.h

=== debian/changelog ===
manaplus (1.4.8.2-1) unstable; urgency=medium

  [ Andrei Karas ]
  * Enable parallel building (Closes: #755944)

  [ Patrick Matthäi ]
  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 07 Aug 2014 10:14:44 +0200

manaplus (1.4.7.19-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 24 Jul 2014 19:07:38 +0200

manaplus (1.4.7.5-1) unstable; urgency=medium

  * New upstream release.
  * Switch away from hardening-wrapper.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 07 Jul 2014 13:21:59 +0200

manaplus (1.4.6.7-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 10 Jun 2014 10:47:30 +0200

manaplus (1.4.5.24-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 27 May 2014 10:43:52 +0200

manaplus (1.4.5.10-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 10 May 2014 22:13:42 +0200

manaplus (1.4.4.26-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 28 Apr 2014 09:57:12 +0200

manaplus (1.4.4.12-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 14 Apr 2014 21:15:45 +0200

manaplus (1.4.3.29-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 31 Mar 2014 11:43:54 +0200

manaplus (1.4.3.15-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 17 Mar 2014 10:03:57 +0100

manaplus (1.4.3.1.1-1) unstable; urgency=low

  [ Andrei Karas ]
  * Remove guichan from dependency.

  [ Patrick Matthäi ]
  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 06 Mar 2014 09:57:20 +0100

manaplus (1.4.2.15-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 20 Feb 2014 11:25:50 +0100

manaplus (1.4.2.1-1) unstable; urgency=low

  [ Andrei Karas ]
  * Add missing directories into package
  * Add fonts-wqy-microhei into recommends

  [ Patrick Matthäi ]
  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 12 Feb 2014 09:14:45 +0100

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,8 @@
 Uploaders: Patrick Matthäi <pmatthaei@debian.org>
 Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 9),
- hardening-wrapper,
  libcurl4-gnutls-dev,
  libgl1-mesa-dev,
- libguichan-dev,
  libsdl1.2-dev,
  libsdl-image1.2-dev,
  libsdl-net1.2-dev,
@@ -62,7 +60,8 @@
  ttf-dejavu-core,
  fonts-liberation
 Recommends: manaplus,
- fonts-mplus
+ fonts-mplus,
+ fonts-wqy-microhei
 Description: Extended client for Evol Online and The Mana World (data files)
  ManaPlus is an extended client for Evol Online, The Mana World, and similar
  servers based on a fork of eAthena. Evol Online is a 2D fantasy-style game

## manaplus 1.4.8.30

=== CMakeLists.txt ===
--- 
+++ 
@@ -71,6 +71,6 @@
     SET(CPACK_NSIS_DISPLAY_NAME "ManaPlus")
     SET(CPACK_NSIS_MUI_ICON "${CMAKE_CURRENT_SOURCE_DIR}/data/icons/manaplus.ico")
     SET(CPACK_PACKAGE_ICON "${CMAKE_CURRENT_SOURCE_DIR}/packaging/windows/setup_welcome.bmp")
-    SET(CPACK_NSIS_URL_INFO_ABOUT "http://www.manasource.org")
+    SET(CPACK_NSIS_URL_INFO_ABOUT "http://manaplus.org")
 ENDIF()
 INCLUDE(CPack)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,7 @@
 FIND_PACKAGE(PhysFS REQUIRED)
 FIND_PACKAGE(PNG REQUIRED)
 FIND_PACKAGE(Gettext REQUIRED)
+FIND_PACKAGE(ZLIB REQUIRED)
 
 IF (POLICY CMP0015)
   CMAKE_POLICY(SET CMP0015 OLD)
@@ -17,6 +18,9 @@
 SET(FLAGS "-DPACKAGE_VERSION=\\\"${VERSION}\\\"")
 SET(FLAGS "${FLAGS} -DPKG_DATADIR=\\\"${PKG_DATADIR}/\\\"")
 SET(FLAGS "${FLAGS} -DLOCALEDIR=\\\"${LOCALEDIR}/\\\"")
+SET(DYE_FLAGS "-DPACKAGE_VERSION=\\\"${VERSION}\\\" -DDYECMD")
+SET(DYE_FLAGS "${DYE_FLAGS} -DPKG_DATADIR=\\\"${PKG_DATADIR}/\\\"")
+SET(DYE_FLAGS "${DYE_FLAGS} -DLOCALEDIR=\\\"${LOCALEDIR}/\\\"")
 
 IF (ENABLE_NLS)
     SET(FLAGS "${FLAGS} -DENABLE_NLS=1")
@@ -31,6 +35,7 @@
     IF(CMAKE_BUILD_TYPE_TOLOWER MATCHES debug OR
        CMAKE_BUILD_TYPE_TOLOWER MATCHES relwithdebinfo)
         SET(FLAGS "${FLAGS} -DDEBUG")
+        SET(DYE_FLAGS "${DYE_FLAGS} -DDEBUG")
     ENDIF()
 ENDIF()
 
@@ -175,8 +180,8 @@
     gui/widgets/itemcontainer.h
     gui/widgets/itemlinkhandler.cpp
     gui/widgets/itemlinkhandler.h
-    gui/widgets/dropshortcutcontainer.cpp
-    gui/widgets/dropshortcutcontainer.h
+    gui/widgets/virtshortcutcontainer.cpp
+    gui/widgets/virtshortcutcontainer.h
     gui/widgets/emotepage.cpp
     gui/widgets/emotepage.h
     gui/widgets/itemshortcutcontainer.cpp
@@ -231,6 +236,8 @@
     gui/widgets/scrollarea.cpp
     gui/widgets/scrollarea.h
     gui/widgets/serverslistbox.h
+    gui/widgets/setupbuttonitem.cpp
+    gui/widgets/setupbuttonitem.h
     gui/widgets/setupitem.cpp
     gui/widgets/setupitem.h
     gui/widgets/tabs/setuptab.cpp
@@ -371,14 +378,3 @@
     gui/windows/npcdialog.cpp
     gui/windows/npcdialog.h
     gui/windows/npcpostdialog.cpp
-    gui/windows/npcpostdialog.h
-    gui/windows/okdialog.cpp
-    gui/windows/okdialog.h
-    gui/windows/outfitwindow.cpp
-    gui/windows/outfitwindow.h
-    gui/windows/botcheckerwindow.cpp
-    gui/windows/botcheckerwindow.h
-    gui/windows/textcommandeditor.cpp
-    gui/windows/textcommandeditor.h
-    gui/onlineplayer.h
-    gui/palette.cpp

=== debian/changelog ===
manaplus (1.4.8.30-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 03 Sep 2014 10:15:37 +0200

manaplus (1.4.8.16-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 20 Aug 2014 09:15:48 +0200

## manaplus 1.4.10.11

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -28,6 +28,9 @@
 
 IF (ENABLE_EATHENA)
     SET(FLAGS "${FLAGS} -DEATHENA_SUPPORT=1")
+ENDIF()
+IF (ENABLE_TMWA)
+    SET(FLAGS "${FLAGS} -DTMWA_SUPPORT=1")
 ENDIF()
 
 IF (CMAKE_BUILD_TYPE)
@@ -151,6 +154,7 @@
     gui/widgets/emoteshortcutcontainer.cpp
     gui/widgets/emoteshortcutcontainer.h
     gui/widgets/equipmentbox.h
+    gui/widgets/equipmentpage.h
     gui/widgets/extendedlistbox.cpp
     gui/widgets/extendedlistbox.h
     gui/widgets/extendedlistboxitem.h
@@ -347,6 +351,8 @@
     gui/windows/editdialog.h
     gui/windows/editserverdialog.cpp
     gui/windows/editserverdialog.h
+    gui/windows/eggselectiondialog.cpp
+    gui/windows/eggselectiondialog.h
     gui/windows/emotewindow.cpp
     gui/windows/emotewindow.h
     gui/windows/equipmentwindow.cpp
@@ -373,8 +379,3 @@
     gui/windows/logindialog.h
     gui/windows/minimap.cpp
     gui/windows/minimap.h
-    gui/windows/ministatuswindow.cpp
-    gui/windows/ministatuswindow.h
-    gui/windows/npcdialog.cpp
-    gui/windows/npcdialog.h
-    gui/windows/npcpostdialog.cpp

=== data/help/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,9 @@
 SET(FILES
     about.txt
+    about-tmw.txt
     chatcommands.txt
+    chatguild.txt
+    chatparty.txt
     commands.txt
     download.txt
     footer.txt

=== data/perserver/default/CMakeLists.txt ===
SET (FILES
    charcreation.xml
    chatcommands.txt
    deadmessages.xml
    features.xml
    gmcommands.txt
    weapons.xml
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/perserver/default)

=== data/themes/golden-delicious/CMakeLists.txt ===
SET (FILES
    avatarlistbox.xml
    beingpopup.xml
    browserbox.xml
    button_disabled.xml
    button_highlighted.xml
    button_pressed.xml
    button.xml
    buy.xml
    CHANGELOG.txt
    chat.xml
    checkbox.xml
    circle-off.xml
    circle-on.xml
    colors.xml
    complete_icon.xml
    dbutton.xml
    desktop.xml
    didyouknow.xml
    dpad.xml
    dropdown_background.xml
    dropdown_pressed.xml
    dropdown.xml
    drops.xml
    edit.xml
    emotes.xml
    emotetabs.xml
    equipment_background.xml
    equipmentbox.png
    equipment.xml
    extendedlistbox_high.xml
    extendedlistbox_medium.xml
    extendedlistbox_xhigh.xml
    extendedlistbox.xml
    extendedlistbox_xxhigh.xml
    help.xml
    incomplete_icon.xml
    info.xml
    inventory.xml
    itemcontainer.xml
    itempopup.xml
    item_selection.xml
    items.xml
    keyboard_icon_high.xml
    keyboard_icon_medium.xml
    keyboard_icon_xhigh.xml
    keyboard_icon.xml
    keyboard_icon_xxhigh.xml
    LICENSE.txt
    listbox_high.xml
    listbox_medium.xml
    listbox_xhigh.xml
    listbox.xml
    listbox_xxhigh.xml
    login.xml
    map.xml
    ministatus.xml
    mouse.png
    npc.xml
    ok.xml
    onlinebrowserbox.xml
    outfits.xml
    playerboxselected.xml
    playerbox.xml
    popupbrowserbox_high.xml
    popupbrowserbox_xhigh.xml
    popupbrowserbox.xml
    popupbrowserbox_xxhigh.xml
    popup_high.xml
    popuplist.xml
    popupmenu_high.xml
    popupmenu_medium.xml
    popupmenu_xhigh.xml
    popupmenu.xml
    popupmenu_xxhigh.xml
    popup_xhigh.xml
    popup.xml
    popup_xxhigh.xml
    progressbar.xml
    progress-indicator.png
    quests.xml
    radio.xml
    resize.xml
    scroll_background.xml
    scrollbuttons_pressed.xml
    scrollbuttons.xml
    scroll_hbackground.xml
    scroll_highlighted.xml
    scroll_vbackground.xml
    scroll.xml
    sell.xml
    serverslistbox.xml
    server.xml
    shoplistbox.xml
    shop.xml
    skilllistbox.xml
    skillpopup.xml
    slider_highlighted.xml
    slider.xml
    social.xml
    spells.xml
    status.xml
    tab_highlighted.xml
    tab_selected.xml
    tab_unused.xml
    tab.xml
    textfield.xml
    windowmenu.xml
    window.png
    window.xml
    world.xml
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/themes/golden-delicious)

=== data/translations/help/CMakeLists.txt ===
SET(FILES
    cs.po
    de.po
    es.po
    fr.po
    it.po
    nl_BE.po
    pl.po
    pt_BR.po
    ru.po
    zh_CN.po
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/translations/help)

=== debian/changelog ===
manaplus (1.4.10.11-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 12 Oct 2014 12:23:57 +0200

manaplus (1.4.9.27-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.6 (no changes required).

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 30 Sep 2014 18:10:18 +0200

manaplus (1.4.9.14-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 17 Sep 2014 10:40:04 +0200

## manaplus 1.4.12.6

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -118,8 +118,10 @@
     gui/models/avatarlistmodel.h
     gui/models/beingslistmodel.h
     gui/models/colorlistmodel.h
-    gui/widgets/tabs/battletab.cpp
-    gui/widgets/tabs/battletab.h
+    gui/widgets/tabs/chat/battletab.cpp
+    gui/widgets/tabs/chat/battletab.h
+    gui/widgets/tabs/chat/channeltab.cpp
+    gui/widgets/tabs/chat/channeltab.h
     gui/widgets/browserbox.cpp
     gui/widgets/browserbox.h
     gui/widgets/button.cpp
@@ -131,11 +133,11 @@
     gui/widgets/characterviewnormal.h
     gui/widgets/characterviewsmall.cpp
     gui/widgets/characterviewsmall.h
-    gui/widgets/tabs/chattab.cpp
-    gui/widgets/tabs/chattab.h
-    gui/widgets/tabs/chattabtype.h
+    gui/widgets/tabs/chat/chattabtype.h
     gui/widgets/tabs/debugwindowtabs.cpp
     gui/widgets/tabs/debugwindowtabs.h
+    gui/widgets/tabs/chat/chattab.cpp
+    gui/widgets/tabs/chat/chattab.h
     gui/widgets/chatinput.h
     gui/widgets/checkbox.cpp
     gui/widgets/checkbox.h
@@ -170,10 +172,14 @@
     gui/models/langlistmodel.h
     gui/widgets/flowcontainer.cpp
     gui/widgets/flowcontainer.h
-    gui/widgets/tabs/gmtab.cpp
-    gui/widgets/tabs/gmtab.h
-    gui/widgets/tabs/guildchattab.cpp
-    gui/widgets/tabs/guildchattab.h
+    gui/widgets/tabs/chat/emulateguildtab.cpp
+    gui/widgets/tabs/chat/emulateguildtab.h
+    gui/widgets/tabs/chat/gmtab.cpp
+    gui/widgets/tabs/chat/gmtab.h
+    gui/widgets/tabs/chat/guildtab.cpp
+    gui/widgets/tabs/chat/guildtab.h
+    gui/widgets/tabs/chat/partytab.cpp
+    gui/widgets/tabs/chat/partytab.h
     gui/widgets/horizontcontainer.cpp
     gui/widgets/horizontcontainer.h
     gui/widgets/icon.cpp
@@ -195,8 +201,8 @@
     gui/widgets/statuswindowattrs.h
     gui/widgets/label.cpp
     gui/widgets/label.h
-    gui/widgets/tabs/langtab.cpp
-    gui/widgets/tabs/langtab.h
+    gui/widgets/tabs/chat/langtab.cpp
+    gui/widgets/tabs/chat/langtab.h
     gui/widgets/layout.cpp
     gui/widgets/layout.h
     gui/widgets/layoutarray.cpp
@@ -308,12 +314,12 @@
     gui/widgets/textfield.h
     gui/widgets/textpreview.cpp
     gui/widgets/textpreview.h
-    gui/widgets/tabs/tradetab.cpp
-    gui/widgets/tabs/tradetab.h
+    gui/widgets/tabs/chat/tradetab.cpp
+    gui/widgets/tabs/chat/tradetab.h
     gui/widgets/vertcontainer.cpp
     gui/widgets/vertcontainer.h
-    gui/widgets/tabs/whispertab.cpp
-    gui/widgets/tabs/whispertab.h
+    gui/widgets/tabs/chat/whispertab.cpp
+    gui/widgets/tabs/chat/whispertab.h
     gui/widgets/widget2.h
     gui/widgets/widgetgroup.cpp
     gui/widgets/widgetgroup.h
@@ -368,14 +374,3 @@
     gui/windows/itemamountwindow.cpp
     gui/windows/itemamountwindow.h
     gui/popups/itempopup.cpp
-    gui/popups/itempopup.h
-    gui/popups/spellpopup.cpp
-    gui/popups/spellpopup.h
-    gui/popups/statuspopup.cpp
-    gui/popups/statuspopup.h
-    gui/windows/killstats.cpp
-    gui/windows/killstats.h
-    gui/windows/logindialog.cpp
-    gui/windows/logindialog.h
-    gui/windows/minimap.cpp
-    gui/windows/minimap.h

=== data/graphics/flags/CMakeLists.txt ===
--- 
+++ 
@@ -14,6 +14,7 @@
     pt_BR.png
     pt.png
     ru.png
+    se.png
     tr.png
     )

=== debian/changelog ===
manaplus (1.4.12.6-1) unstable; urgency=low

  [ Andrei Karas ]
  * Updated debian/copyright.

  [ Patrick Matthäi ]
  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 12 Dec 2014 18:24:32 +0100

manaplus (1.4.11.8-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 09 Nov 2014 21:20:57 +0100

manaplus (1.4.10.25-1) unstable; urgency=low

  [ Andrei Karas ]
  * Updated debian/copyright.

  [ Patrick Matthäi ]
  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 27 Oct 2014 18:15:40 +0100

## manaplus 1.4.12.20

=== debian/changelog ===
manaplus (1.4.12.20-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 30 Dec 2014 19:26:33 +0100

## manaplus 1.5.1.3

=== debian/changelog ===
manaplus (1.5.1.3-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 07 Jan 2015 11:00:54 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Homepage: http://manaplus.org/
 Maintainer: Andrei Karas <akaras@inbox.ru>
 Uploaders: Patrick Matthäi <pmatthaei@debian.org>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9),
  libcurl4-gnutls-dev,
  libgl1-mesa-dev,

## manaplus 1.5.1.17

=== debian/changelog ===
manaplus (1.5.1.17-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 19 Jan 2015 19:32:00 +0100

## manaplus 1.5.1.31

=== debian/changelog ===
manaplus (1.5.1.31-1) unstable; urgency=low

  * New upstream release.
  * Fix some wildcard-matches-nothing-in-dep5-copyright warnings.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 05 Feb 2015 10:52:57 +0100

## manaplus 1.5.2.14

=== data/themes/jewelry/CMakeLists.txt ===
SET (FILES
    avatarlistbox.xml
    beingpopup.xml
    browserbox.xml
    button.xml
    button_disabled.xml
    button_highlighted.xml
    button_pressed.xml
    buy.xml
    CHANGELOG.txt
    chat.xml
    checkbox.xml
    circle-off.xml
    circle-on.xml
    colors.xml
    complete_icon.xml
    dbutton.xml
    didyouknow.xml
    dpad.xml
    dropdown.xml
    dropdown_background.xml
    dropdown_pressed.xml
    drops.xml
    edit.xml
    emotes.xml
    emotetabs.xml
    equipment.xml
    equipment_background.xml
    equipmentbox.png
    extendedlistbox.xml
    extendedlistbox_high.xml
    extendedlistbox_medium.xml
    extendedlistbox_xhigh.xml
    extendedlistbox_xxhigh.xml
    help.xml
    incomplete_icon.xml
    info.xml
    inventory.xml
    item_selection.xml
    itemcontainer.xml
    itempopup.xml
    items.xml
    keyboard_icon.xml
    keyboard_icon_high.xml
    keyboard_icon_medium.xml
    keyboard_icon_xhigh.xml
    keyboard_icon_xxhigh.xml
    LICENSE.txt
    listbox.xml
    listbox_high.xml
    listbox_medium.xml
    listbox_xhigh.xml
    listbox_xxhigh.xml
    login.xml
    map.xml
    ministatus.xml
    mouse.png
    npc.xml
    ok.xml
    onlinebrowserbox.xml
    outfits.xml
    playerbox.xml
    playerboxselected.xml
    popup.xml
    popup_high.xml
    popup_xhigh.xml
    popup_xxhigh.xml
    popupbrowserbox.xml
    popupbrowserbox_high.xml
    popupbrowserbox_medium.xml
    popupbrowserbox_xhigh.xml
    popupbrowserbox_xxhigh.xml
    popuplist.xml
    popupmenu.xml
    popupmenu_high.xml
    popupmenu_medium.xml
    popupmenu_xhigh.xml
    popupmenu_xxhigh.xml
    progressbar.xml
    quests.xml
    radio.xml
    resize.xml
    scroll.xml
    scroll_background.xml
    scroll_hbackground.xml
    scroll_highlighted.xml
    scroll_vbackground.xml
    scrollbuttons.xml
    scrollbuttons_pressed.xml
    sell.xml
    server.xml
    serverslistbox.xml
    shop.xml
    shoplistbox.xml
    skilllistbox.xml
    skillpopup.xml
    slider.xml
    slider_highlighted.xml
    social.xml
    spells.xml
    status.xml
    tab.xml
    tab_highlighted.xml
    tab_selected.xml
    tab_unused.xml
    textfield.xml
    window.png
    window.xml
    windowmenu.xml
    world.xml
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/themes/jewelry)

=== debian/changelog ===
manaplus (1.5.2.14-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 14 Feb 2015 16:30:45 +0100
